# Class `awful.widget.keyboardlayout`

### Info:

- Copyright: 2015 Aleksey Fedotov
- Author: Aleksey Fedotov <lexa@cfotr.com>

## Methods

awful.widget.keyboardlayout:get_groups_from_group_names (group_names) | Auxiliary function for the local function update_layout().
awful.widget.keyboardlayout:new () | Create a keyboard layout widget.

## Methods

awful.widget.keyboardlayout:get_groups_from_group_names (group_names)
  Auxiliary function for the local function updatelayout(). Create an array whose element is a table consisting of the four fields: vendor, file, section and groupidx, which all correspond to the xkbsymbols pattern "vendor/file(section):groupidx".
  - group_names string The string awesome.xkbgetgroup_names() returns.

  ### Returns:

  table An array of tables whose keys are vendor, file, section, and group_idx.
awful.widget.keyboardlayout:new ()
  Create a keyboard layout widget. It shows current keyboard layout name in a textbox.

  ### Returns:

  A keyboard layout widget.

generated by LDoc 1.5.0 Last updated 2025-09-26 21:04:17